/* ---------------------------------------- */
/* ----- >>> Layout: Mobile --------------- */
/* ---------------------------------------- */

@media (max-width: 640px) and (min-width: 0) {

	:root {
		--main-texts: 1.4rem;
		--main-space: 1.6rem;
	}

	html {
		font-size: 2.7776vw;
	}

	section wrapper {
		flex-direction: column;
		padding-bottom: calc(var(--main-space) * 3) !important;
		padding-top: calc(var(--main-space) * 5) !important;
	}

	#home  section wrapper { 
		padding-top: calc(var(--main-space) * 5) !important; 
	}
	
	#book  section wrapper,
	#media section wrapper,
	#about section wrapper {
		padding-bottom: calc(var(--main-space) * 5) !important; 
	}


	/* ---------------------------------------- */
	/* ----- >>> Styles ----------------------- */
	/* ---------------------------------------- */

	p.isAlt {
		margin-top: 6.4rem;
		font-size: 100%;
	}

	ol > li > div {
		gap: calc(var(--main-space) / 2);
	}

	ol > li > div > img {
		width: calc(50% - calc(var(--main-space) / 4 ));
	}

	/* ---------------------------------------- */
	/* ----- >>> Navegation ------------------- */
	/* ---------------------------------------- */

	header wrapper,
	footer wrapper {
		padding: calc(var(--main-space) * 1.2) calc(var(--main-space) * 1) !important;
	}

	header > wrapper > nav,
	footer > wrapper > nav {
		display: none !important;
	}

	header nav > ul > li {
		font-size: 2.4rem;
	}

	#tattoo footer > wrapper > a {
		display: inline-block;
	}

	mobile {
		display: block;
	}

	section {
		min-height: 90vh
	}

	.setSocial {
		max-width: 80vw;
		justify-content: center;
		flex-direction: row;
		gap: 0.8rem 3.2rem;
		min-height: 4.0rem;
		margin-top: 1.6rem;
		font-size: 1.6rem;
		margin-right: 0;
		flex-wrap: wrap;
		display: flex;
	}

	/* ---------------------------------------- */
	/* ----- >>> Category --------------------- */
	/* ---------------------------------------- */

	filter {
		width: 100%;
		gap: 0.0rem 0.8rem;
		flex-wrap: wrap;
	}

	filter > clear {
		width: auto;
		position: absolute;
		font-size: 1.1rem;
		top: -3.2rem;
		right: 0;
	}

	filter > clear > span {
		transform: translateY(-40%);
	}

	/* ---------------------------------------- */
	/* ----- >>> General ---------------------- */
	/* ---------------------------------------- */

	columns {
		flex-direction: column;
		gap: calc(var(--main-space) * 2);
	}

	columns > item {
		position: relative;
		top: 0;
	}

	columns > item:nth-child(1),
	columns > item:nth-child(2) { 
		width: 100%;
		padding: 0;
	}

	columns > item .isTop {
		margin-top: calc(var(--main-space) * 1);
	}

	columns > item > img,
	columns > item > video {
		width: 100%;
		max-width: 100%;
	}

	/* ---------------------------------------- */

	board {
		gap: calc(var(--main-space) * 1) var(--g);
	}

	board > item {
		height: auto;
	}

	board > item[data-size="S1"] {
		grid-column: span 2;
		aspect-ratio: 1 / 1.57;
	}

	board > item[data-size="S2"]	{
		grid-column: span 3;
		aspect-ratio: 1 / 1;
	}

	/* ---------------------------------------- */

	grid {
		grid-template-columns: repeat(2, minmax(0, 1fr));
	}

	grid.isAlt {
		grid-template-columns: repeat(1, minmax(0, 1fr));
	}

	grid > item {
		grid-column: span 1;
	}

	grid > item > div > p {
		-webkit-box-orient: vertical;
		text-overflow: ellipsis;
		-webkit-line-clamp: 8;
		display: -webkit-box;
		overflow: hidden;
	}

	/* ---------------------------------------- */

	stack,
	stack > item {
		align-content: center;
	}

	stack > item {
		padding: calc(var(--main-space) * 4) 0.0rem;
	}

	stack > item:not(:first-child, :last-child) {
		min-height: 90vh;
	}

	stack > item:first-child { padding-top: calc(var(--main-space) * 0); }
	stack > item:last-child  { padding-bottom: calc(var(--main-space) * 4); }

	/* ---------------------------------------- */

	slider > p {
		transform: translate(-50%, -100%);
		font-size: 1.2rem;
	}

	slider > items {
		height: 100%;
		align-items: center;
	}

	slider > items > item > img {
		max-width: calc(100% - var(--main-space) * 2) !important;
		margin: 0.0rem auto;
		max-height: 100vh;
	}

	/* ---------------------------------------- */

	#features filter,
	#features content {
		display: none !important;
	}

	list.List {
		width: 100%;
		gap: calc(var(--main-space) * 2) calc(var(--main-space) * 1);
		grid-template-columns: repeat(2, minmax(0, 1fr));
		display: grid;
	}

	list.List > item:not(:last-child) {
		border-bottom: none;
	}

	list.List > item > a > p,
	list.List > item > a > img {
		display: block;
	}

	list.List > item > a > p {
		line-height: 1.25em;
		margin-top: 0.8rem;
	}

	list.List > item > a > p > span {
		min-width: unset;
	}

	list.List > item > a > p > span:nth-child(1) {
		width: 100%;
		display: inline-block;
	}

	list.List > item > a > p > span:nth-child(2):after,
	list.List > item > a > p > span:nth-child(3):after {
		content: ",";
	}

	list.List > item:hover > p > span:first-child:before,
	list.List > item:hover > a > p > span:first-child:before {
		margin-right: unset !important;
		width: unset !important;
	}

	list.List > item > a > p > span:last-child {
		width: 100%;
		text-align: left;
		font-weight: 700;
		display: block;
	}

	#media list.List {
		grid-template-columns: repeat(1, minmax(0, 1fr));
		gap: 0;
	}

	#media list.List > item:not(:last-child) {
		border-bottom: thin dashed currentColor;
	}

	#media list.List > item > p {
		padding: calc(var(--main-space) * 1.0) 0.0rem;
		align-items: flex-start;
		line-height: 2.0rem;
		flex-wrap: wrap;
		gap: 0;
	}

	#media list.List > item > p > span:nth-child(1) {
		width: calc(100% - 5.4rem);
		order: 2;
	}

	#media list.List > item > p > span:nth-child(2) {
		width: 5.4rem;
		order: 1;
	}

	#media list.List > item > p > span:nth-child(2):after {
		margin: 0.0rem 0.8rem;
		content: '-';
	}

	#media list.List > item > p > span:last-child {
		display: inline-block;
		margin-left: 5.4rem;
		font-weight: 700;
		order: 3;
	}

	events > ul > li {
		padding: calc(var(--main-space) * 1.2) 0.0rem;
		gap: calc(var(--main-space) * 0.5);
		flex-direction: column;
	}

	events > ul > li > a {
	font-size: calc(var(--main-texts) * 1.0);
		text-transform: capitalize;
		display: inline-block;
		font-weight: 700;
	}

	events > ul > li > * {
		line-height: 1.35rem;
	}

	/* ---------------------------------------- */

	dt:after {
		top: 1.8rem;
	}

	/* ---------------------------------------- */
	/* ----- >>> Marquee ---------------------- */
	/* ---------------------------------------- */

	banner {
		display: none;
	}

	/* ---------------------------------------- */
	/* ----- >>> Menu Burger ------------------ */
	/* ---------------------------------------- */

	menu {
		right:calc(var(--main-space) * 1.0);
		top: calc(var(--main-space) * 1.2);
		position: fixed;
		z-index: 9999;
	}

	menu > icon  {
		width:  2.0rem;
		height: 1.0rem;
		position: relative;
		cursor: pointer;
		float: right;
	}

	menu > icon > span {
		width:  100%;
		height: 0.15rem;
		background: rgba(0, 0, 0, 1.0);
		transform: rotate(0deg);
		border-radius: 3.2rem;
		position: absolute;
		transition: .25s;
		display: block;
		opacity: 1;
		left: 0;
	}

	menu > icon > span:nth-child(1) { top: 000%; }
	menu > icon > span:nth-child(2),
	menu > icon > span:nth-child(3) { top: 050%; }
	menu > icon > span:nth-child(4) { top: 100%; }

	.isOpen menu > icon > span:nth-child(1) {
		width: 0%;
		left: 50%;
		top: 0.8rem;
	}

	.isOpen menu > icon > span:nth-child(2) {
		transform: rotate(45deg);
	}

	.isOpen menu > icon > span:nth-child(3) {
		transform: rotate(-45deg);
	}

	.isOpen menu > icon > span:nth-child(4) {
		width: 0%;
		left: 50%;
		top: 0.8rem;
	}

	/* ---------------------------------------- */
	/* ----- >>> Media Form ------------------- */
	/* ---------------------------------------- */

	form {
		gap: calc(var(--main-space) * 1);
	}

}